package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TJctable;
import com.chinaitop.depot.intelligent.basicdata.model.TJctableExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TJctableMapper {
    int countByExample(TJctableExample example);

    int deleteByExample(TJctableExample example);

    int deleteByPrimaryKey(String id);

    int insert(TJctable record);

    int insertSelective(TJctable record);

    List<TJctable> selectByExample(TJctableExample example);

    TJctable selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TJctable record, @Param("example") TJctableExample example);

    int updateByExample(@Param("record") TJctable record, @Param("example") TJctableExample example);

    int updateByPrimaryKeySelective(TJctable record);

    int updateByPrimaryKey(TJctable record);
    
    void insertBatch(List<TJctable> tJctables);
}